<vn>
<vn-group>
	<db-form id="user-form">
		<db-model id="user-model" updatable="true">
			SELECT user_id, default_address
				FROM customer_view c
		</db-model>
	</db-form>
	<db-model id="addresses" updatable="true">
		SELECT a.id, a.consignee, p.name province, a.zip_code, a.city, a.name, a.active, c.Pais country
			FROM address_view a
			LEFT JOIN vn2008.province p ON a.province_id = p.province_id
			JOIN vn2008.Paises c ON c.Id = p.Paises_Id
				WHERE active != FALSE
	</db-model>
</vn-group>
<div id="title">
	<h1><t>Addresses</t></h1>
</div>
<div id="actions" class="action-bar">
	<button on-click="onAddAddressClick">
		<img src="image/dark/add.svg" alt=""/>
		<t>AddAddress</t>
	</button>
</div>
<div id="form" class="address-list">
	<div class="box">
		<div class="form">
			<htk-radio-group
				id="default-address"
				column="default_address"
				form="user-form"/>
			<htk-repeater model="addresses" form-id="iter">
				<template>
					<div class="address">
						<p class="consignee">
							<htk-text form="iter" column="consignee"/>
						</p>
						<p>
							<htk-text form="iter" column="name"/>
						</p>
						<p>
							<htk-text form="iter" column="zip_code"/>, 
							<htk-text form="iter" column="city"/>
						</p>
						<div class="actions">
							<htk-radio
								form="iter"
								column="id"
								radio-group="default-address"
								tip="_SetAsDefault"/>
							<htk-button
								form="iter"
								column="id"
								tip="_RemoveAddress"
								image="image/delete.svg"
								on-click="onRemoveAddressClick"/>
							<htk-button
								form="iter"
								column="id"
								tip="_EditAddress"
								image="image/edit.svg"
								on-click="onEditAddressClick"/>
						</div>
					</div>
				</template>
			</htk-repeater>
		</div>
	</div>
</div>
</vn>
